Imports J4L.RReport
Imports System
Imports System.Data
Imports System.Data.OleDb
Imports System.Drawing
Imports System.Windows.Forms

Module MyModule 

Public Class exampleDBOrder :	implements RAreaListener
	
  private total as integer
 
 
 Overridable sub beforePrintingArea(area As RArea)  Implements RAreaListener.beforePrintingArea
	 Dim price as Double
	 Dim quantity as Integer
	 
   ' calculate the amount	of each line
	 if (area.getName()="Detail") then
    	 price= area.getItemByName("Price").getruntimeValue()
		 quantity=area.getItemByName("Quantity").getruntimeValue()
		 total= (total+(quantity*price))
		 area.getItemByName("Amount").setruntimeValue( quantity*price)
	 end if
	 
   ' set total amount
	 if (area.getName()="Footer") then
		 area.getItemByName("Total").setruntimeValue( total)
		 total=0
	 end if
 
 end sub 
 
 public sub init() 
	 
		' load report from file
		Dim report as Report
		Dim dbconnection as OleDbConnection
		Dim dbcommand as OleDbCommand

		report=new Report()
		
		' This is the code you must use if you need to change the database connection
		'dbconnection=new OleDbConnection()
		'dbconnection.ConnectionString="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\j4l\ReportVD\RReport2bis.mdb"
		'dbconnection.Open()				
		'report.setDbCon(dbconnection)
					   
		if (not report.importReport("c:\j4l\RReportNET\examples\DatabaseSource\DBorder.rep")) then
		   	Console.WriteLine("Error, exiting")
		   	end
		 end if

		' This is the code you must use if you need to change the SQL statement
		'Dim ds as RDatabaseSource
		'ds=report.getReportHeader().getDataSource()
		'ds.setSQL("select * from PurchaseOrderBis")
		'ds=report.getAreaByName("Detail").getDataSource()
		'ds.setSQL("select * from PurchaseOrderLines")
		
		' set the images for the combo box. This can only be done programatically
		Dim comboImages(3) as Image
		comboImages(0)=new RImageFile("images/ball1.gif").getImage()
		comboImages(1)=new RImageFile("images/ball2.gif").getImage()
		comboImages(2)=new RImageFile("images/ball3.gif").getImage()
		Dim co as RCombo
		co= report.getAreaByName("Detail").getItemByName("Priority")
		co.Values=comboImages
		
		' set listener to calculate amounts on the fly
		report.getAreaByName("Detail").setListener(me)
		report.getReportFooter().setListener(me)
		
		
		' create preview window	  
		Dim Win as RReportWindow 
		Win= new RReportWindow(report)

		' this will print the Header Area and all dependent areas
		report.prepare()
		report.endReport()
		Win.ShowNow()
 	
 		End
		
 
end sub

	
	
end class

end module
